using System;
using System.Collections.Generic;
using System.Text;

namespace exWithArray
{
    class Program
    {
        static void Main(string[] args)
        {
            Array a = new Array(20, 10);
            Array b = new Array(20, 10);
            Console.WriteLine("Array a: " + a.toString());
            Console.WriteLine("Array b: " + b.toString());

            Console.WriteLine();
            int sumA = a.sumArray();
            double averageA = a.average();
            Console.WriteLine("The sum of Array a is: " + sumA);
            Console.WriteLine("The average of Array a is: " + averageA);
            int sumB = b.sumArray();
            double averageB = b.average();
            Console.WriteLine("The sum of Array b is: " + sumB);
            Console.WriteLine("The average of Array b is: " + averageB);

            Console.WriteLine();
            Console.WriteLine("There are " + a.countAbove(13) + " numbers in Array a that are bigger than 13.");

            if (b.contains(9))
                Console.WriteLine("The number 9 appears in Array b.");
            else
                Console.WriteLine("The number 9 doesn't appears in Array b.");

            Console.WriteLine();
            if (a.arrayIsEqual(b))
                Console.WriteLine("Arrays a and b are equals.");
            else
                Console.WriteLine("Arrays a and b aren't equals.");

            Console.WriteLine();
            a.sort('+');
            Console.WriteLine("Array a in ascending order: " + a.toString());
            b.sort('-');
            Console.WriteLine("Array b in descending order: " + b.toString());
        }
    }
}
